vtc: XVtc_Polarity Struct Reference

| vtc Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XVtc_Polarity Struct Reference
Vtc_v7_2

This typedef contains Polarity configuration information for a VTC core. More...

## Data Fields
u8 | ActiveChromaPol
| Active Chroma Output Polarity. More...
u8 | ActiveVideoPol
| Active Video Output Polarity. More...
u8 | FieldIdPol
| Field ID Output Polarity. More...
u8 | VBlankPol
| Vertical Blank Output Polarity. More...
u8 | VSyncPol
| Vertical Sync Output Polarity. More...
u8 | HBlankPol
| Horizontal Blank Output Polarity. More...
u8 | HSyncPol
| Horizontal Sync Output Polarity. More...

## Detailed Description

This typedef contains Polarity configuration information for a VTC core.

## Field Documentation

u8 XVtc_Polarity::ActiveChromaPol

Active Chroma Output Polarity.

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetectorPolarity(), XVtc_GetPolarity(), and XVtc_SetPolarity().

u8 XVtc_Polarity::ActiveVideoPol

Active Video Output Polarity.

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetectorPolarity(), XVtc_GetPolarity(), and XVtc_SetPolarity().

u8 XVtc_Polarity::FieldIdPol

Field ID Output Polarity.

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetectorPolarity(), XVtc_GetPolarity(), and XVtc_SetPolarity().

u8 XVtc_Polarity::HBlankPol

Horizontal Blank Output Polarity.

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetectorPolarity(), XVtc_GetPolarity(), and XVtc_SetPolarity().

u8 XVtc_Polarity::HSyncPol

Horizontal Sync Output Polarity.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_GetDetectorPolarity(), XVtc_GetPolarity(), and XVtc_SetPolarity().

u8 XVtc_Polarity::VBlankPol

Vertical Blank Output Polarity.

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetectorPolarity(), XVtc_GetPolarity(), and XVtc_SetPolarity().

u8 XVtc_Polarity::VSyncPol

Vertical Sync Output Polarity.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_GetDetectorPolarity(), XVtc_GetPolarity(), and XVtc_SetPolarity().